complexType "DerivedValuationScenario"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 5 elements
Defined: | globally in fpml-valuation-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | name?, baseValuationScenario?, valuationDate?, marketReference?, shift*
</...>

Content Model Elements (5):

  baseValuationScenario,
  marketReference (defined in DerivedValuationScenario complexType),
  name (defined in DerivedValuationScenario complexType),
  shift (defined in DerivedValuationScenario complexType),
  valuationDate (defined in DerivedValuationScenario complexType)

Annotation
A valuation scenario that is derived from another valuation scenario.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="DerivedValuationScenario"> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:string"/> <xsd:element minOccurs="0" name="baseValuationScenario" type="ValuationScenarioReference"/> <xsd:element minOccurs="0" name="valuationDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="marketReference" type="MarketReference"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="shift" type="PricingParameterShift"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 5/5)
baseValuationScenario

  Type: | ValuationScenarioReference, empty content

  An (optional) reference to a valuation scenario from which this one is derived.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="baseValuationScenario" type="ValuationScenarioReference"/>

marketReference

  Type: | MarketReference, empty content

  A reference to the market environment used to price the asset. If not present, the market will be that of the base valuation scenario.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="marketReference" type="MarketReference"/>

name

  Type: | xsd:string, predefined, simple content

  The (optional) name for this valuation scenario, used for understandability. For example "EOD Valuations".
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="name" type="xsd:string"/>

shift

  Type: | PricingParameterShift, complex content

  A collection of shifts to be applied to market inputs prior to computation of the derivative.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="shift" type="PricingParameterShift"/>

valuationDate

  Type: | IdentifiedDate, simple content

  The (optional) date for which the assets are valued. If not present, the valuation date will be that of the base valuation scenario.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationDate" type="IdentifiedDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.